<Container
  {{did-insert this.setup}}
  {{did-update this.setup @value}}
  @value={{this.value.container}}
  @deviceSize={{@deviceSize}}
  class="use-highlights group-selector page-col-categories flex-wrap"
  data-name={{this.valueName}}
  data-gid={{this.valueGid}}
  data-path="{{this.path}}.container"
  ...attributes
>
  <div
    class="d-none"
    data-name={{this.valueName}}
    data-gid={{this.valueGid}}
    data-path="{{this.path}}.defaultCategory"
    data-editor="default-category"
    data-type="default value"
  />
  <View::GenericList
    data-gid={{this.valueGid}}
    data-path="{{this.path}}.categoryList"
    data-name={{this.valueName}}
    @disableWrapper={{true}}
    @isEditor={{@isEditor}}
    @value={{this.value.categoryList}}
    as |name index|
  >
    {{#if index}}
      <TextWithOptions
        @deviceSize={{@deviceSize}}
        @options={{this.value.separator}}
        @tag="div"
        data-path="{{this.path}}.separator"
        data-type="separator"
        data-name={{this.valueName}}
        data-gid={{this.valueGid}}
        class="separator d-inline-block"
      >{{!
        }}|{{!
    }}</TextWithOptions>
    {{/if}}

    <View::ButtonStyle
      class="btn btn-group-name
        {{if (eq this.selectedGroup (lowercase name)) 'btn-selected'}}"
      @value={{if
        (eq this.selectedGroup (lowercase name))
        this.value.activeButton
        this.value.button
      }}
      {{on "click" (fn this.selectGroup name)}}
      data-type={{if (eq this.selectedGroup name) "active button" "button"}}
      data-editor="button-style"
      data-path={{if
        (eq this.selectedGroup (lowercase name))
        (concat this.path ".activeButton")
        (concat this.path ".button")
      }}
      data-name={{this.valueName}}
      data-gid={{this.valueGid}}
    >
      <View::TextSimple
        @value={{if name name "---"}}
        data-path="{{this.path}}.categoryList.{{index}}"
        data-name={{this.valueName}}
        data-gid={{this.valueGid}}
      />
    </View::ButtonStyle>
  </View::GenericList>
</Container>